/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package testmeetup;

/**
 * Query Object that retrieves RSVP Information. For more information about the parameters, please read: https://www.meetup.com/meetup_api/docs/:urlname/events/:event_id/rsvps/#list
 * @author Oriol
 */
public class QueryRSVP extends QueryObject{
    
    private String eventID;
    private String groupURL;

    public QueryRSVP(String nResults, Ordering order, String offset, String eventID, String groupURL) {
        super(nResults, order, offset);
        this.eventID = eventID;
        this.groupURL = groupURL;
    }
    
    @Override
    public void generateQuery() throws Exception{
        //https://api.meetup.com/Social20s30s/events/244641348/rsvps?photo-host=public&sig_id=240381656&sig=6baf9a709c5fcdac270658288d7721b171fd3a0c
        super.setURL("https://api.meetup.com/" + this.groupURL + "/events/" + this.eventID + "/rsvps?");
        addParam("page",super.getnResults());
        addParam("offset",super.getOffset());
        super.generateQuery();
    }
    
    public QueryRSVP(){
        
    }

    public String getEventID() {
        return eventID;
    }

    public void setEventID(String eventID) {
        this.eventID = eventID;
    }

    public String getGroupURL() {
        return groupURL;
    }

    public void setGroupURL(String groupURL) {
        this.groupURL = groupURL;
    }

    
    
}
